%if 0%{?el7}
%define dist .el7
%endif

%define gitver .git97c6ae2
Name:           vidstab
Version:        1.1
Release:        1%{?gitver}%{?dist}
Summary:        Transcode video stabilization plugin

Group:          System Environment/Libraries
License:        GPL

URL:            http://public.hronopik.de/vid.stab
# git clone https://github.com/georgmartius/vid.stab.git vidstab-1.1
# cd vidstab-1.1 ; git log -1 --pretty=format:".git%h" ; cd ..
# tar acvf vidstab-1.1%%{?gitver}.tar.xz vidstab-1.1 --exclude=.git
Source0:        %{name}-%{version}%{?gitver}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
Imagine you captured a nice video with your camcorder, compact camera or even cell phone while skiing, cycling or whatever sports and the video is basically just jiggled. Modern cameras come along with hardware stabilisation, however this does not work if you have really strong vibrations - rather the contrary sometimes this mechanisms start to oscillate. Vid.Stab is your friend in this matter. It is integrated in transcode and possibly soon in ffmpeg and kdenlive. It is designed to stabilize even strongly jiggled clips.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
#sed -i -e 's|LIBRARY DESTINATION lib|LIBRARY DESTINATION %{_lib}|g' \
#	-e 's|ARCHIVE DESTINATION lib|ARCHIVE DESTINATION %{_lib}|g' \
#	CMakeLists.txt

#sed -i -e 's|DESTINATION lib|DESTINATION %{_lib}|g' \
#	-e 's|/lib|/%{_lib}|g' \
#	CMakeModules/create_pkgconfig_file.cmake

%build
cmake . \
%ifarch x86_64
	-DLIB_SUFFIX=64 \
%endif
	-DCMAKE_INSTALL_PREFIX="%{_prefix}"
make %{?_smp_mflags} VERBOSE=1


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc Changelog Install README.md Todo
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/vid.stab/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Oct 01 2015 momo-i <webmaster@momo-i.org> - 1.1-1.git97c6ae2
- Update to 1.1 97c6ae2

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 1.00-5.git2c52016
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 1.00-4.git2c52016
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 1.00-3
- Rebuilt for fc22

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 1.00-2
- Update to 1.00
- change license dir

* Mon Mar 24 2014 momo-i <webmaster@momo-i.org> - 0.98-1
- Update to 0.98

* Thu Dec  5 2013 momo-i <webmaster@momo-i.org> - 0.96-1
- Initial rpm release.
